import numpy as np

import matplotlib.mlab as mlab
import matplotlib.pyplot as plt

from typing import Union

def plot_histogram(yvalues: Union[np.ndarray, list], bins: int = 50) -> None:
    """plot_histogram.
    This function plots the histogram of yvalues
    :param yvalues: A list/array of samples generated by a function
    :type yvalues: Union[np.ndarray, list]
    """
    plt.hist(yvalues, bins=bins, facecolor='green')
    plt.xlabel('Regression Variable')
    plt.ylabel('Probability')
    plt.grid(True)

    plt.show()
